# .gitea/workflows/docker-build-push.yml
name: Build and Push Docker Image

on:
  schedule:
    - cron: "30 20 * * *"

  workflow_dispatch:

jobs:
  build-and-push:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Log in to Gitea Container Registry
        uses: docker/login-action@v3
        with:
          registry: gitea.setlock.net
          username: ${{ secrets.USER }}
          password: ${{ secrets.TOKEN }}

      - name: Build and Push Docker Image
        uses: docker/build-push-action@v5
        with:
          context: ./tools
          push: true
          platforms: linux/amd64
          tags: |
            gitea.setlock.net/shaun/dev-container:nightly
